/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : PPG1.H
**     Project   : DC18
**     Processor : MC56F8006_32_LQFP
**     Beantype  : PPG
**     Version   : Bean 02.177, Driver 02.00, CPU db: 3.00.169
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 8/1/2010, 4:32 AM
**     Abstract  :
**         This bean "PPG" implements a programmable
**         pulse generator that generates signal with variable
**         duty and variable cycle (period).
**     Settings  :
**         Used output pin             : 
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       21            |  GPIOB0_ANB13_PWM3_SCLK_SCL_T1
**             ----------------------------------------------------
**
**         Timer name                  : TMR1 [16-bit]
**         Counter                     : TMR1_CNTR [61461]
**         Mode register               : TMR1_CTRL [61462]
**         Run register                : TMR1_CTRL [61462]
**         Prescaler                   : TMR1_CTRL [61462]
**         Compare 1 register          : TMR1_COMP1 [61456]
**         Compare 2 register          : TMR1_COMP2 [61457]
**         Comparator load 1 register  : TMR1_CMPLD1 [61464]
**         Comparator load 2 register  : TMR1_CMPLD2 [61465]
**         Flip-flop 1 register        : TMR1_SCTRL [61463]
**         Load register               : TMR1_LOAD [61459]
**
**         User handling procedure     : not specified
**
**         Output pin
**
**         Port name                   : GPIOB
**         Bit number (in port)        : 0
**         Bit mask of the port        : 1
**         Port data register          : GPIO_B_DR [61857]
**         Port control register       : GPIO_B_DDR [61858]
**         Port function register      : GPIO_B_PER [61859]
**
**         Runtime setting period      : interval (continual setting)
**             ticks                   : 134 to 400 ticks
**             microseconds            : 17 to 50 microseconds
**             Hz                      : 20000 to 59701 Hz
**             kHz                     : 20 to 59 kHz
**
**         Runtime setting ratio       : calculated
**         Initialization:
**              Output level           : high
**              Timer                  : Disabled
**              Event                  : Enabled
**         High speed mode
**             Prescaler               : divide-by-1
**             Clock                   : 4000000 Hz
**           Initial value of            period        pulse width (ratio 99.04%)
**             Xtal ticks              : 210           208
**             microseconds            : 26            26
**             seconds (real)          : 0.00002625    0.000026
**
**     Contents  :
**         Enable     - byte PPG1_Enable(void);
**         Disable    - byte PPG1_Disable(void);
**         SetFreqHz  - byte PPG1_SetFreqHz(word Freq);
**         SetRatio16 - byte PPG1_SetRatio16(word Ratio);
**         SetValue   - byte PPG1_SetValue(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __PPG1
#define __PPG1

/* MODULE PPG1. */

#include "Cpu.h"

#define PPG1_PERIOD_VALUE  105UL       /* Initial period value in ticks of the timer. It is available only if the bean is enabled in high speed mode. */
#define PPG1_PERIOD_VALUE_HIGH 105UL   /* Period value in ticks of the timer in high speed mode. It is available only if the bean is enabled in high speed mode. */
#define PPG1_SFREQ_HZ_MIN  20000U      /* Lower bound of interval for parameter of method SetFreqHz */
#define PPG1_SFREQ_HZ_MAX  59701U      /* Upper bound of interval for parameter of method SetFreqHz */
/* Deprecated constants */
#define PPG1_SFHzMin       20000       /* Lower bound of interval for method SetFreqHz */
#define PPG1_SFHzMax       59701       /* Upper bound of interval for method SetFreqHz */

byte PPG1_Enable(void);
/*
** ===================================================================
**     Method      :  PPG1_Enable (bean PPG)
**
**     Description :
**         This method enables the signal generation 
**     Parameters  : None
**     Returns     :
**         ---        - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

byte PPG1_Disable(void);
/*
** ===================================================================
**     Method      :  PPG1_Disable (bean PPG)
**
**     Description :
**         Disables the bean - it stops the signal generation and events calling.
**     Parameters  : None
**     Returns     :
**         ---        - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

byte PPG1_SetFreqHz(word Freq);
/*
** ===================================================================
**     Method      :  PPG1_SetFreqHz (bean PPG)
**
**     Description :
**         This method sets the new frequency of the output signal. The
**         frequency is expressed in Hz as a 16-bit unsigned integer
**         number.
**         This method is only available when the runtime setting type
**         'from interval' is selected in the Timing dialog box of
**         the Runtime setting area.
**     Parameters  :
**         NAME       - DESCRIPTION
**         Freq       - Frequency to set [in Hz]
**                      (20000 to 59701 Hz)
**     Returns     :
**         ---        - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
**                           ERR_MATH - Overflow during evaluation
**                           ERR_RANGE - Parameter out of range
** ===================================================================
*/

byte PPG1_SetRatio16(word Ratio);
/*
** ===================================================================
**     Method      :  PPG1_SetRatio16 (bean PPG)
**
**     Description :
**         This method sets a new duty-cycle ratio.
**     Parameters  :
**         NAME       - DESCRIPTION
**         Ratio      - Ratio is expressed as an 16-bit unsigned integer
**                      number. 0 - 65535 value is proportional
**                      to ratio 0 - 100%
**         Note: Calculated duty depends on the timer possibilities
**               and on the selected period.
**     Returns     :
**         ---        - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

byte PPG1_SetValue(void);
/*
** ===================================================================
**     Method      :  PPG1_SetValue (bean PPG)
**
**     Description :
**         This method sets (sets to "1" = "High") timer flip-flop
**         output signal level. It allow user to directly set the
**         output pin value (=flip-flop state), and can set the signal
**         polarity. This method only works when the timer is disabled
**         (Disable) otherwise it returns the error code. <ClrValue>
**         and <SetValue> methods are used for setting the initial
**         state.
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
**                           ERR_ENABLED - Bean is enabled. Bean must be
**                           disabled (see "Disable method")
** ===================================================================
*/

void PPG1_Init(void);
/*
** ===================================================================
**     Method      :  PPG1_Init (bean PPG)
**
**     Description :
**         Initializes the associated peripheral(s) and the beans 
**         internal variables. The method is called automatically as a 
**         part of the application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/


/* END PPG1. */

#endif /* ifndef __PPG1 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
